%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         appc
%global repo            spec
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          37bef679148751952f169298fa0ea8171373d95c
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:       golang-%{provider}-%{project}-%{repo}
Version:    0.5.1
Release:    3.git%{shortcommit}%{?dist}
Summary:    Schema defs and tools for app container specification
ExclusiveArch: x86_64
License:    ASL 2.0
URL:        https://%{import_path}
Source0:    https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Provides:   actool = %{version}-%{release}
Provides:   ace-validator = %{version}-%{release}

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(github.com/coreos/go-semver/semver) >= 0-0.2
BuildRequires:  golang(golang.org/x/crypto/openpgp) >= 0-0.2
BuildRequires:  golang(golang.org/x/net/html)
BuildRequires:  golang(golang.org/x/net/html/atom)
Requires:   golang >= 1.2.1-3
Requires:   golang(github.com/coreos/go-semver/semver) >= 0-0.2
Summary:    %{summary}
Provides:   golang(%{import_path}/ace) = %{version}-%{release}
Provides:   golang(%{import_path}/aci) = %{version}-%{release}
Provides:   golang(%{import_path}/actool) = %{version}-%{release}
Provides:   golang(%{import_path}/discovery) = %{version}-%{release}
Provides:   golang(%{import_path}/pkg/tarheader) = %{version}-%{release}
Provides:   golang(%{import_path}/schema) = %{version}-%{release}
Provides:   golang(%{import_path}/schema/types) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -qn %{repo}-%{commit}
rm -rf examples

%build
GOPATH=$GOPATH:%{gopath}:$(pwd)/Godeps/_workspace ./build
rm -rf Godeps
find . -name "*.go" \
         -print |\
         xargs sed -i 's/github.com\/appc\/spec\/Godeps\/_workspace\/src\///g'

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 755 bin/actool %{buildroot}%{_bindir}
install -p -m 755 bin/ace-validator %{buildroot}%{_bindir}

install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
for dir in */ ; do
    cp -rpav $dir %{buildroot}/%{gopath}/src/%{import_path}/
done

%check
#for dir in $(find . -mindepth 1 -maxdepth 3 -type d); do
#    if [ $(find $dir -maxdepth 1 -name *_test.go | wc -l) != '0' ]; then
#        GOPATH=%{buildroot}/%{gopath}:%{gopath}:$(pwd)/Godeps/_workspace go test %{import_path}/$dir
#    fi
#done

%files
%doc CONTRIBUTING.md LICENSE README.md SPEC.md
%{_bindir}/actool
%{_bindir}/ace-validator

%files devel
%doc CONTRIBUTING.md LICENSE README.md SPEC.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3.git37bef67
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 02 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.5.1-2.git37bef67
- update to latest upstream master

* Fri Mar 27 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.5.1-1.gitc8559a2
- update to latest upstream master branch

* Wed Feb 18 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.3.0-2.gitfa6d3af
- only build for x86_64, ace-validator doesn't work for arm

* Wed Feb 18 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.3.0-1.gitfa6d3af
- update to commit fa6d3af86db496053a2d3c907c676fd9ee1118a8

* Tue Feb 03 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.2.0-2.git2fee340
- update to master commit#2fee340
- provide actool and ace-validator in main package
- remove mentions of fedora 19 (EOL)

* Sat Jan 31 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.2.0-1.git202fd7b
- Resolves: rhbz#1174030 - first package upload
- update to master commit#202fd7b

* Mon Dec 15 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.1-2
- update metaprovides
- update docs packaged

* Tue Dec 09 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.1-1
- First package for Fedora
